#SlidesOutBox {
    display: block;
    width:fit-content;
    height:fit-content;
    margin:1rem auto;
}

#SlidesBox {
    display: flex;
    height: fit-content;
    position: relative;
    overflow: hidden;
    margin: 0 auto;
    box-shadow: 0px 0px 10px gray;
}

#Slides {
    display: flex;
    justify-content: flex-start;
    overflow: hidden;
    height: fit-content;
    margin: 0 auto;
}

.slide {
    display: flex;
    justify-content: center;
    position: relative;
}


figcaption {
    background-color: rgba(1, 1, 1, 0.4);
    color: white;
    height:fit-content;
    position: absolute;
    bottom: 2px;
    left: 1rem;
}

button.arrowButton {
    position: absolute;
    border: none;
    background-color: rgba(255, 255, 255, 0);
    background-size: cover;
    background-image: none;
    transition: all 0.7s;
}

#LeftButton:hover {
    background-image: url("../images/slides/leftarrow.png");
}

#RightButton:hover {
    background-image: url("../images/slides/rightarrow.png");
}


#SlidesNavButton {
    display: flex;
    width: 10rem;
    height:0.5rem;  
    justify-content: space-between;
    margin: 0 auto;
    margin-top: 5px;
}

button.Button {
    width: 1.8rem;
    border-radius: 0.1rem;
    background-color: rgba(211 211 211 / 0.5);
    box-shadow: 0px 0px 10px black;
    border: none;
    border-radius: 0.5rem;
    transition: background-color 0.7s;
}

@media screen and (max-width: 720px) {
    button.arrowButton {
        display:none;
    }

    figcaption {
        font-size: xx-small;
    }
}

@media screen and (min-width: 721px) and (max-width: 1279px) {
    button.arrowButton {
        display:none;
    }
    #SlidesNavButton {
        width: 15rem;
        height:1rem;    
    }
    button.Button {
        width: 2.5rem;
        border-radius: 0.5rem;
    }
    figcaption {
        font-size: small;
    }    
}

@media screen and (min-width: 1280px) {
    #SlidesNavButton {
        width: 25rem;
        height:1rem;    
    }
    button.Button {
        width: 4rem;
        border-radius: 0.5rem;
    }
    figcaption {
        font-size: larger;
    }   
}
